header
Elite Dangerous
Elite Dangerous cover
Release date: 2015. April 02.
Genre: Action, Simulation, MMO
Developer: Frontier Developments
Publisher: Frontier Developments

Elite Dangerous System Requirements

Minimum system requirements:

CPU:
Quad Core CPU (4 x 2Ghz)
RAM:
6 GB RAM
GPU:
Nvidia GTX 470/AMD R7 240
DX:
Version 11
OS:
Windows 7/8/10 64-bit
STO:
25 GB available space
NET:
Broadband Internet connection

Recommended system requirements:

CPU:
Intel Core i7-3770K Quad Core CPU or better / AMD FX 4350 Quad Core CPU or better
RAM:
8 GB RAM
GPU:
Nvidia GTX 770 / AMD Radeon R9 280X
DX:
Version 11
OS:
Windows 7/8/10 64-bit
STO:
25 GB available space
NET:
Broadband Internet connection
Recommended peripheral: Supports SteamVR, Oculus Rift and TrackIR
There are only official system requirements on the site which are released by developers or an official publisher.
Can you run it?
Compare the system requirements with a configuration you can add below.
Please support our site in order to make further progress!
SUPPORT US
Similar games:
Elite Dangerous: ArenaStar ConflictStarbaseMechWarrior OnlineHELLIONDreadnought
Comments: 4
Please login to post a comment.
no avatar
yes i know that 😃
but here it says that you need DX11 GPU with 1GB VRAM and as example are GTX260 and HD4870 GPU-s and neither of those 2 aren't dx11 or have 1GB of VRAM
So is then minimum GTX260/HD4870 or is DX11 card minimum ?
Then it should be example for minimum something like GTX460/HD5870
I mean it's a little confusing 😆
0
0
0
0
Adityasingh18 avatar
Both card are gud but didn't support dx11
Some games only work on dx11
You need a card that support dx11
To play it
0
0
0
0
no avatar
You're right! It doesn't make sense...
0
0
0
0
no avatar
gtx260 and hd4870 aren't dx11 gpu-s
so do you need dx11 gpu or can you play with dx10 gpu ?
0
0
0
0


Forgotten passwordRegister